Package org.stianloader.picoresolve.internal

# Class MultiCompletableFuture<T>

java.lang.Object
java.util.concurrent.CompletableFuture<T>
org.stianloader.picoresolve.internal.MultiCompletableFuture<T>

All Implemented Interfaces:
  `CompletionStage<T>`, `Future<T>`

public class MultiCompletableFuture<T> extends CompletableFuture<T>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.concurrent.CompletableFuture

`CompletableFuture.AsynchronousCompletionTask`

## Constructor Summary

Constructors
Constructor
Description
`MultiCompletableFuture(CompletableFuture<T>[] sources)`
`MultiCompletableFuture(List<CompletableFuture<T>> sources)`

## Method Summary

### Methods inherited from class java.util.concurrent.CompletableFuture

`acceptEither, acceptEitherAsync, acceptEitherAsync, allOf, anyOf, applyToEither, applyToEitherAsync, applyToEitherAsync, cancel, complete, completeAsync, completeAsync, completedFuture, completedStage, completeExceptionally, completeOnTimeout, copy, defaultExecutor, delayedExecutor, delayedExecutor, exceptionally, exceptionallyAsync, exceptionallyAsync, exceptionallyCompose, exceptionallyComposeAsync, exceptionallyComposeAsync, failedFuture, failedStage, get, get, getNow, getNumberOfDependents, handle, handleAsync, handleAsync, isCancelled, isCompletedExceptionally, isDone, join, minimalCompletionStage, newIncompleteFuture, obtrudeException, obtrudeValue, orTimeout, runAfterBoth, runAfterBothAsync, runAfterBothAsync, runAfterEither, runAfterEitherAsync, runAfterEitherAsync, runAsync, runAsync, supplyAsync, supplyAsync, thenAccept, thenAcceptAsync, thenAcceptAsync, thenAcceptBoth, thenAcceptBothAsync, thenAcceptBothAsync, thenApply, thenApplyAsync, thenApplyAsync, thenCombine, thenCombineAsync, thenCombineAsync, thenCompose, thenComposeAsync, thenComposeAsync, thenRun, thenRunAsync, thenRunAsync, toCompletableFuture, toString, whenComplete, whenCompleteAsync, whenCompleteAsync`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MultiCompletableFuture

public MultiCompletableFuture(List<CompletableFuture<T>> sources)

### MultiCompletableFuture

public MultiCompletableFuture(CompletableFuture<T>[] sources)